"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
exports.__esModule = true;
exports.default = void 0;
var _RelativeJsonPointerError = _interopRequireDefault(require("./RelativeJsonPointerError.cjs"));
/**
 * @public
 */

/**
 * @public
 */
class CompilationRelativeJsonPointerError extends _RelativeJsonPointerError.default {
  nonNegativeIntegerPrefix;
  indexManipulation;
  jsonPointerTokens;
  hashCharacter;
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.nonNegativeIntegerPrefix = structuredOptions.relativePointer.nonNegativeIntegerPrefix;
      this.indexManipulation = structuredOptions.relativePointer.indexManipulation;
      this.hashCharacter = structuredOptions.relativePointer.hashCharacter;
      if (Array.isArray(structuredOptions.relativePointer.jsonPointerTokens)) {
        this.jsonPointerTokens = [...structuredOptions.relativePointer.jsonPointerTokens];
      }
    }
  }
}
var _default = exports.default = CompilationRelativeJsonPointerError;